﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="WinQual" Publisher="Western Washington University" Version="1.0" ReleaseDate="8/3/2017">
    <UserCategories>
    </UserCategories>
    <SoftwareCategories>Lab and Classroom Software</SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="WinQual 1.0  PSAppDeploy" Architecture="x86" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Western Washington University\WinQual\push\">
    <UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
    <InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$DisplayName = 'WinQual'

$Version = '1.0'

$RegKey = Get-ChildItem -Path 'HKLM:\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall' | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName"}

if($RegKey) {

    if($RegKey.GetValue('DisplayVersion') -ge $Version) {

        return $true
    }
}</TEXT>
    </DetectionScript>
  </DeploymentType>
</Application>